# Uses of Class
org.xnio.channels.EmptyStreamSourceChannel

Packages that use EmptyStreamSourceChannel
Package
Description
org.xnio.channels
The core XNIO channel API.

## Uses of EmptyStreamSourceChannel in org.xnio.channels

Methods in org.xnio.channels that return types with arguments of type EmptyStreamSourceChannel
Modifier and Type
Method
Description
`ChannelListener<? super EmptyStreamSourceChannel>`
EmptyStreamSourceChannel.`getCloseListener()`
`ChannelListener.Setter<? extends EmptyStreamSourceChannel>`
EmptyStreamSourceChannel.`getCloseSetter()`
`ChannelListener<? super EmptyStreamSourceChannel>`
EmptyStreamSourceChannel.`getReadListener()`
`ChannelListener.Setter<? extends EmptyStreamSourceChannel>`
EmptyStreamSourceChannel.`getReadSetter()`
Method parameters in org.xnio.channels with type arguments of type EmptyStreamSourceChannel
Modifier and Type
Method
Description
`void`
EmptyStreamSourceChannel.`setCloseListener(ChannelListener<? super EmptyStreamSourceChannel> closeListener)`
`void`
EmptyStreamSourceChannel.`setReadListener(ChannelListener<? super EmptyStreamSourceChannel> readListener)`